public class PublicKeysApi extends Object
| Constructor and Description |
|---|
PublicKeysApi() |
PublicKeysApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
ApiClient |
getApiClient() |
void |
setApiClient(ApiClient apiClient) |
String |
showPublicKeys(String account,
String kind,
String identifier)
Shows all public keys for a resource.
|
String |
showPublicKeys(String account,
String kind,
String identifier,
String xRequestId)
Shows all public keys for a resource.
|
okhttp3.Call |
showPublicKeysAsync(String account,
String kind,
String identifier,
String xRequestId,
ApiCallback<String> _callback)
Shows all public keys for a resource.
|
okhttp3.Call |
showPublicKeysCall(String account,
String kind,
String identifier,
String xRequestId,
ApiCallback _callback)
Build call for showPublicKeys
|
ApiResponse<String> |
showPublicKeysWithHttpInfo(String account,
String kind,
String identifier)
Shows all public keys for a resource.
|
ApiResponse<String> |
showPublicKeysWithHttpInfo(String account,
String kind,
String identifier,
String xRequestId)
Shows all public keys for a resource.
|
public PublicKeysApi()
public PublicKeysApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call showPublicKeysCall(String account, String kind, String identifier, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String showPublicKeys(String account, String kind, String identifier, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String showPublicKeys(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the resource for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> showPublicKeysWithHttpInfo(String account, String kind, String identifier, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> showPublicKeysWithHttpInfo(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the resource for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call showPublicKeysAsync(String account, String kind, String identifier, String xRequestId, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | Public keys for a resource as newline delimited string for compatibility with the authorized_keys SSH format. Empty string if the resource does not exist | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
Copyright © 2023. All rights reserved.